1. 极牛网首页
  2. 技术资讯

Android出现了4个被在野利用的漏洞

在本月初发布的2021年5月的Android安全公告中,您可以找到与Android用户有关的几个组件中约40个漏洞的列表。根据Google Project Zero团队提供的信息,其中4个安卓安全漏洞被当作0 day漏洞在野外被利用。

好消息是目前有可用的补丁程序。但是Android补丁更新的问题是,作为一个用户,这些补丁的更新依赖于你的上游供应商(设备制造商)。

Android出现了4个被在野利用的漏洞

Android更新升级

对于Android用户来说,何时获得最新更新总是未知的。Android设备在很多方面都像是一台计算机,需要定期更新。

更新是对现有Android版本进行改进后,这些更新会定期发布。升级是指您进行下载安装,使设备获得更高的Android版本。通常,只要设备系统版本保持最新,设备就可以正常运行。

设备更新取决于谁?

Google是开发Android操作系统(它本身是Linux的一种)的公司,并且该公司也一直保持版本的最新状态,同时也是创建安全补丁程序的公司。但是随着该软件移交给了设备制造商,后者会为自己的设备创建了自己的版本。

因此,您的设备什么时候可以获得最新更新,这取决于设备的制造商,而某些制造商的设备可能永远都不会更新。

严重漏洞

在说明中,公告指出有迹象表明CVE-2021-1905,CVE-2021-1906,CVE-2021-28663和CVE-2021-28664可能受到有针对性的利用。公开披露的计算机安全漏洞(CVE)暴露在数据库中。在野外可能被滥用的四个是:

(1) CVE-2021-1905可能由于同时处理多个进程的内存映射不正确而免费使用。在Snapdragon Auto,Snapdragon Compute,Snapdragon Connectivity,Snapdragon Consumer IOT,Snapdragon Industrial IOT,Snapdragon Mobile,Snapdragon Voice&Music,Snapdragon Wearables中使用。

(2) CVE-2021-1906失败时对地址注销的不当处理可能导致新的GPU地址分配失败。在Snapdragon Auto,Snapdragon Compute,Snapdragon Connectivity,Snapdragon Consumer IOT,Snapdragon Industrial IOT,Snapdragon Mobile,Snapdragon Voice&Music,Snapdragon Wearables中使用。

(3) CVE-2021-28663 Arm Mali GPU内核驱动程序允许特权提升或信息泄露,因为GPU内存操作处理不当,导致了先后使用。这会影响在r29p0之前的Bifrost r0p0到r28p0,在r29p0之前的Valhall r19p0到r28p0,以及Midgard r4p0到r30p0。

(4) CVE-2021-28664 Arm Mali GPU内核驱动程序允许特权升级或服务拒绝(内存损坏),因为非特权用户可以实现对只读页面的读/写访问。这会影响在r29p0之前的Bifrost r0p0到r28p0,在r29p0之前的Valhall r19p0到r28p0,以及Midgard r8p0到r30p0。

像CVE-2021-1905一样的免费使用(UAF)漏洞是由于程序运行期间对动态内存的不正确使用而引起的。如果释放内存位置后,程序没有清除指向该内存的指针,则攻击者可以使用该漏洞来操纵程序。

Snapdragon是一套由高通技术公司设计和销售的用于移动设备的片上系统(SoC)半导体产品。

Arm Mali GPU是图形处理单元,适用于由Arm开发的各种移动设备,从智能手表到自动驾驶汽车。

缓解措施

您可以通过检查安全修补程序级别来判断设备是否受到保护。

2021-05-01或更高版本的安全补丁程序级别解决了与2021-05-01安全补丁程序级别相关的所有问题。

2021-05-05或更高版本的安全补丁程序级别解决了与2021-05-05安全补丁程序级别和所有以前的补丁程序级别相关的所有问题。

我们很想告诉您请紧急修补,但是正如我们所解释的,这取决于设备制造商。

Android出现了4个被在野利用的漏洞

极牛网精选文章《Android出现了4个被在野利用的漏洞》文中所述为作者独立观点,不代表极牛网立场。如若转载请注明出处:https://jikenb.com/14112.html

发表评论

登录后才能评论